Brick.Widgets.List

data List n e

# Constructing a list

list

# Rendering a list

renderList

# Handling events

handleListEvent

# Lenses

listElementsL

listSelectedL

listNameL

listItemHeightL

# Manipulating a list

listMoveBy

listMoveTo

listMoveUp

listMoveDown

listInsert

listRemove

listReplace

listSelectedElement

listClear

listReverse

listModify

# Attributes

listAttr

listSelectedAttr

listSelectedFocusedAttr